be.fgov.ehealth.genericinsurability.core.v1

## Class SingleInsurabilityResponseType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.SingleInsurabilityResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:22:13+01:00",
                 comments="JAXB RI v2.3.7")
      public class SingleInsurabilityResponseType
      extends Object
      implements Serializable

  Java class for SingleInsurabilityResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SingleInsurabilityResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <sequence>
                   <element name="CareReceiverId" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CareReceiverIdType"/>
                   <element name="MessageFault" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}MessageFaultType" minOccurs="0"/>
                 </sequence>
                 <sequence>
                   <element name="CareReceiverDetail" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CareReceiverDetailType"/>
                   <element name="InsurabilityResponseDetail" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityResponseDetailType"/>
                 </sequence>
               </choice>
               <element name="InsurabilityRequestDetail" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityRequestDetailType"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:genericinsurability:core:v1}MessageHeader"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleInsurabilityResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareReceiverDetailType` | `getCareReceiverDetail()` Gets the value of the careReceiverDetail property.
    `CareReceiverIdType` | `getCareReceiverId()` Gets the value of the careReceiverId property.
    `InsurabilityRequestDetailType` | `getInsurabilityRequestDetail()` Gets the value of the insurabilityRequestDetail property.
    `InsurabilityResponseDetailType` | `getInsurabilityResponseDetail()` Gets the value of the insurabilityResponseDetail property.
    `MessageFaultType` | `getMessageFault()` Gets the value of the messageFault property.
    `MessageNameType` | `getMessageName()` Gets the value of the messageName property.
    `String` | `getReceiverReference()` Gets the value of the receiverReference property.
    `String` | `getSenderReference()` Gets the value of the senderReference property.
    `String` | `getVersion()` Gets the value of the version property.
    `Boolean` | `isDuplicate()` Gets the value of the duplicate property.
    `Boolean` | `isSynchronous()` Gets the value of the synchronous property.
    `Boolean` | `isTestFlag()` Gets the value of the testFlag property.
    `void` | `setCareReceiverDetail(CareReceiverDetailType value)` Sets the value of the careReceiverDetail property.
    `void` | `setCareReceiverId(CareReceiverIdType value)` Sets the value of the careReceiverId property.
    `void` | `setDuplicate(Boolean value)` Sets the value of the duplicate property.
    `void` | `setInsurabilityRequestDetail(InsurabilityRequestDetailType value)` Sets the value of the insurabilityRequestDetail property.
    `void` | `setInsurabilityResponseDetail(InsurabilityResponseDetailType value)` Sets the value of the insurabilityResponseDetail property.
    `void` | `setMessageFault(MessageFaultType value)` Sets the value of the messageFault property.
    `void` | `setMessageName(MessageNameType value)` Sets the value of the messageName property.
    `void` | `setReceiverReference(String value)` Sets the value of the receiverReference property.
    `void` | `setSenderReference(String value)` Sets the value of the senderReference property.
    `void` | `setSynchronous(Boolean value)` Sets the value of the synchronous property.
    `void` | `setTestFlag(Boolean value)` Sets the value of the testFlag property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleInsurabilityResponseType

          public SingleInsurabilityResponseType()

  - ### Method Detail

    - #### getCareReceiverDetail

          public CareReceiverDetailType getCareReceiverDetail()

      Gets the value of the careReceiverDetail property.
      Returns:
        possible object is `CareReceiverDetailType`

    - #### setCareReceiverDetail

          public void setCareReceiverDetail(CareReceiverDetailType value)

      Sets the value of the careReceiverDetail property.
      Parameters:
        `value` - allowed object is `CareReceiverDetailType`

    - #### getInsurabilityResponseDetail

          public InsurabilityResponseDetailType getInsurabilityResponseDetail()

      Gets the value of the insurabilityResponseDetail property.
      Returns:
        possible object is `InsurabilityResponseDetailType`

    - #### setInsurabilityResponseDetail

          public void setInsurabilityResponseDetail(InsurabilityResponseDetailType value)

      Sets the value of the insurabilityResponseDetail property.
      Parameters:
        `value` - allowed object is `InsurabilityResponseDetailType`

    - #### getCareReceiverId

          public CareReceiverIdType getCareReceiverId()

      Gets the value of the careReceiverId property.
      Returns:
        possible object is `CareReceiverIdType`

    - #### setCareReceiverId

          public void setCareReceiverId(CareReceiverIdType value)

      Sets the value of the careReceiverId property.
      Parameters:
        `value` - allowed object is `CareReceiverIdType`

    - #### getMessageFault

          public MessageFaultType getMessageFault()

      Gets the value of the messageFault property.
      Returns:
        possible object is `MessageFaultType`

    - #### setMessageFault

          public void setMessageFault(MessageFaultType value)

      Sets the value of the messageFault property.
      Parameters:
        `value` - allowed object is `MessageFaultType`

    - #### getInsurabilityRequestDetail

          public InsurabilityRequestDetailType getInsurabilityRequestDetail()

      Gets the value of the insurabilityRequestDetail property.
      Returns:
        possible object is `InsurabilityRequestDetailType`

    - #### setInsurabilityRequestDetail

          public void setInsurabilityRequestDetail(InsurabilityRequestDetailType value)

      Sets the value of the insurabilityRequestDetail property.
      Parameters:
        `value` - allowed object is `InsurabilityRequestDetailType`

    - #### getMessageName

          public MessageNameType getMessageName()

      Gets the value of the messageName property.
      Returns:
        possible object is `MessageNameType`

    - #### setMessageName

          public void setMessageName(MessageNameType value)

      Sets the value of the messageName property.
      Parameters:
        `value` - allowed object is `MessageNameType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDuplicate

          public Boolean isDuplicate()

      Gets the value of the duplicate property.
      Returns:
        possible object is `Boolean`

    - #### setDuplicate

          public void setDuplicate(Boolean value)

      Sets the value of the duplicate property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isTestFlag

          public Boolean isTestFlag()

      Gets the value of the testFlag property.
      Returns:
        possible object is `Boolean`

    - #### setTestFlag

          public void setTestFlag(Boolean value)

      Sets the value of the testFlag property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getSenderReference

          public String getSenderReference()

      Gets the value of the senderReference property.
      Returns:
        possible object is `String`

    - #### setSenderReference

          public void setSenderReference(String value)

      Sets the value of the senderReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceiverReference

          public String getReceiverReference()

      Gets the value of the receiverReference property.
      Returns:
        possible object is `String`

    - #### setReceiverReference

          public void setReceiverReference(String value)

      Sets the value of the receiverReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSynchronous

          public Boolean isSynchronous()

      Gets the value of the synchronous property.
      Returns:
        possible object is `Boolean`

    - #### setSynchronous

          public void setSynchronous(Boolean value)

      Sets the value of the synchronous property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.